{ pkgs, config, inputs, ... }: {

  imports = [
    ./variables.nix

    # Programs
    ../../home/programs/kitty
    ../../home/programs/nvim
    # ../../home/programs/qutebrowser
    ../../home/programs/shell
    ../../home/programs/pass
    ../../home/programs/fetch
    ../../home/programs/git
    ../../home/programs/spicetify
    ../../home/programs/nextcloud
    ../../home/programs/yazi
    # ../../home/programs/markdown
    ../../home/programs/thunar
    ../../home/programs/lazygit
    ../../home/programs/office
    ../../home/programs/firefox

    # Scripts
    ../../home/scripts # All scripts

    # System (Desktop environment like stuff)
    ../../home/system/hyprland
    ../../home/system/hypridle
    ../../home/system/hyprlock
    ../../home/system/hyprpanel
    ../../home/system/hyprpaper
    ../../home/system/gtk
    ../../home/system/wofi
    ../../home/system/batsignal
    ../../home/system/zathura
    ../../home/system/mime
    ../../home/system/udiskie
    ../../home/system/clipman
    ../../home/system/tofi

    # ./secrets # CHANGEME: You should probably remove this line, this is where I store my secrets
  ];

  home = {
    inherit (config.var) username;
    homeDirectory = "/home/" + config.var.username;

    packages = with pkgs; [
      # Apps
      #discord # Chat
      # bitwarden # Password manager
      mpv # Video player
      pcmanfm
      xarchiver
      #blanket # White-noise app

      # Dev
      go
      nodejs
      (python3.withPackages (ps:
        with ps; [
          pip
          isort
          pyyaml
          (buildPythonPackage {
            pname = "docker-sdp";
            version = "0.2.15";
            src = pkgs.fetchFromGitHub {
              owner = "neuroforgede";
              repo = "docker-stack-deploy";
              rev = "fa8c23d";
              sha256 = "sha256-caff7K4++eQJE/7kbKJb8DgI6aWJdiHBbdV1+46aFMs=";
            };
            doCheck = false;
            buildInputs = [ pip ];
          })
        ]))
      jq
      figlet
      just
      ddev
      mkcert

      # Utils
      zip
      xz
      unzip
      p7zip
      unrar
      optipng
      pfetch
      pandoc
      btop
      bottom
      iotop
      iftop
      lsof
      sysstat
      lm_sensors
      ethtool
      pciutils
      usbutils
      wireguard-tools
      inetutils
      gdu
      enchant

      # Just cool
      peaclock
      cbonsai
      pipes
      cmatrix
      # cava

      # Backup
      # zed-editor
      neovide
      inkscape-with-extensions
      # gimp-with-plugins
      gimp
      sqlitebrowser
      sqlite
      emacs29-pgtk
      zotero_7
      chromium
      # inputs.zen-browser.packages."${pkgs.system}"
    ];

    # Import my profile picture, used by the hyprpanel dashboard
    file.".profile_picture.png" = { source = ./profile_picture.png; };

    # Don't touch this
    stateVersion = "24.05";
  };

  programs.home-manager.enable = true;
}
